Subject: Re: [PATCH v2 00/11] Add network namespace support in the RDMA-CM

From: Haggai Eran <[email-masked]>
Date: Tue, 21 Apr 2015 09:36:25 +0300

On 20/04/2015 17:53, Steve Wise wrote:
> 
> Hey Haggai,
> 
> Did you check for changes needed in drivers/infiniband/core/iwcm.c? 

We focused on namespace support for InfiniBand alone in this series. We
didn't handle iWARP, nor did we implement support for RoCE or other
transports.

> I notice that it uses init_net here:
> 
> static int __init iw_cm_init(void)
> {
>         iwcm_wq = create_singlethread_workqueue("iw_cm_wq");
>         if (!iwcm_wq)
>                 return -ENOMEM;
> 
>         iwcm_ctl_table_hdr = register_net_sysctl(&init_net, "net/iw_cm",
>                                                  iwcm_ctl_table);
>         if (!iwcm_ctl_table_hdr) {
>                 pr_err("iw_cm: couldn't register sysctl paths\n");
>                 destroy_workqueue(iwcm_wq);
>                 return -ENOMEM;
>         }
> 
>         return 0;
> }
> 

I see the only thing in the iWARP sysctl registered here is the default
backlog. If you want to control this parameter per namespace, we could
store it per network namespace, and add a namespace parameter to
iw_cm_listen. I'm not sure how important this is though.

Haggai